Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226283 - Merge Review: perl-URI
Summary: Merge Review: perl-URI
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:38 UTC by Nobody's working on this, feel free to take it
Modified: 2012-01-20 14:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-30 08:37:52 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:38:28 UTC
Fedora Merge Review: perl-URI

http://cvs.fedora.redhat.com/viewcvs/devel/perl-URI/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-20 12:56:38 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 1:5.6.1
2)drop "|| :" from %check
3) make test output skipped one test
t/urn-isbn.......skipped
        all skipped: Needs the Business::ISBN module installed
 I think you need to add that(Business::ISBN) perl module as BR
   
4)rpmlint complained ->
  perl-URI.noarch: W: file-not-utf8 /usr/share/doc/perl-URI-1.35/Changes
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).
==> Use iconv command

perl-URI.src: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 3)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.
==> Use sed

perl-URI.src: W: strange-permission filter-requires-perl-URI.sh 0755
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.
==> This can be Ignored.

Comment 2 Robin Norwood 2007-10-25 05:04:43 UTC
1, 2, and 4) all fixed.

3) perl(Business::ISBN) is not available in Fedora yet - submitted review
request here:
https://bugzilla.redhat.com/show_bug.cgi?id=351761

The BR: perl(Business::ISBN) is commented out for now.

New version is 1.35-4.fc9

Comment 3 Parag AN(पराग) 2007-10-26 05:55:52 UTC
I will wait for perl(Business::ISBN) then will review this.

Comment 4 Parag AN(पराग) 2007-11-14 06:25:05 UTC
Can you update package with adding BR: perl(Business::ISBN)?

Comment 5 Parag AN(पराग) 2007-12-04 14:04:06 UTC
updates please?

Comment 6 Parag AN(पराग) 2007-12-17 17:54:54 UTC
Any updates?

Comment 7 Robin Norwood 2007-12-17 18:42:37 UTC
Sorry, meant to update this.  Building perl-URI fails with the BR:
perl(Business::ISBN) :

t/urn-isbn.......Can't locate object method "country_code" via package
"Business::ISBN10" at 
perl-URI/devel/URI-1.35/blib/lib/URI/urn/isbn.pm line 40.


And I haven't looked into why yet.  I'll take another look today.

Comment 8 Parag AN(पराग) 2008-01-30 08:37:52 UTC
It clearly looked like bug in tests of perl-URI as perl(Business::ISBN) does not
contain country_code.

perl-Business-ISBN is new package so tests of perl-URI should be updated
according to this package.

I don't want to block review here waiting tests to be fixed. You better file bug
against perl-URI.

Otherwise packaging looks good.
APPROVED.

Comment 9 Petr Pisar 2012-01-20 14:44:05 UTC
Package Change Request
======================
Package Name: perl-URI
Branches: f15 f16
Owners: 
InitialCC: perl-sig

Please add perl-sig user with watch* permissions only to all Fedora branches.

Comment 10 Gwyn Ciesla 2012-01-20 14:54:58 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.